# Generated by Django 2.2.7 on 2020-02-11 10:01

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('establishment', '0100_auto_20200211_0803'),
        ('timetable', '0003_auto_20191003_0943'),
    ]

    operations = [
        migrations.CreateModel(
            name='Holiday',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('start_date', models.DateField(verbose_name='Holidays first day')),
                ('end_date', models.DateField(verbose_name='Holidays last day')),
                ('establishment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='holidays', to='establishment.Establishment', verbose_name='establishment')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
